Skip to content
Skip to main content
PUT
/v3/templates/{template_id}

Update a template

Updates the specified application-level template.

NYLAS API KEY

Parameters

Path parameters

template_id*string

The ID of the template to access.

Example: "14c00cc8-648c-4381-ad10-52641d9bac8e"

Request body

Update template request

bodystring

The body content of the template, in HTML format.

Example: "<p>Hello {{user.name}}, your booking has been confirmed.</p>"
enginestring

The templating engine to use.

handlebarsmustachenunjuckstwig
Example: "mustache"
namestring

The name of the template.

Example: "Updated booking confirmed message"
subjectstring

The subject line of the template.

Example: "{{user.name}}, your booking is confirmed!"

Responses

request_id*string

The ID of the request.

data*object

A custom message template.

PUThttps://api.us.nylas.com/v3/templates/14c00cc8-648c-4381-ad10-52641d9bac8e

Find your API key in the Nylas Dashboard under API Keys in your application settings.

template_idrequiredstring

The ID of the template to access.

Loading editor...

Autocomplete and validation come from this endpoint's request schema.